Pitivi's desktop file needs language pack support

Bug #613110 reported by David Planella on 2010-08-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Medium
Unassigned
pitivi (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: pitivi

Pitivi uses language packs, which include the translations of its .desktop file. These are imported into Launchpad and then exported.

Normally, before they are imported, they are stripped from the source .desktop file, which is then shipped with no translations, which will actually be loaded from the .mo files in the language packs (see https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation/Packaging#DesktopEntries).

However, the .desktop file is shipped with full translations, which override those in the language packs. In order for them to be stripped, the X-Ubuntu-Gettext-Domain must be added to the .desktop file.

Related branches

David Planella (dpm) on 2010-08-03
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Medium
Changed in pitivi (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pitivi - 0.13.4-3ubuntu1

---------------
pitivi (0.13.4-3ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/rules:
    - use gnome.mk so a translation template is built (lp: #613110)
  * debian/control:
    - build-depends on python-launchpad-integration
  * debian/patches/01_lpi.patch:
    - launchpad integration
  * debian/patches/02_remove_version_from_title.patch:
    - remove the version from the title
  * debian/patches/lp537619_gdk_cairo_reset_clip.patch:
    - use correct parameters for gtk.gdk.CairoContext.reset_clip

pitivi (0.13.4-3) unstable; urgency=low

  * debian/control,
    debian/source/format,
    debian/compat,
    debian/rules,
    debian/patches:
    + Update to source format 3.0 (quilt).
    + Update to debhelper compat level 7.
    + Update to standards version 3.9.0.
  * debian/patches/02_uri-sink-async.patch:
    + Patch from upstream GIT to fix encoding with encoders
      that produce latency, e.g. VP8, x264 or Dirac.
 -- Sebastien Bacher <email address hidden> Wed, 04 Aug 2010 14:12:55 +0200

Changed in pitivi (Ubuntu):
status: New → Fix Released
Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers